## org.mortbay.jetty.plus
Interface Service

All Superinterfaces:
  LifeCycle

All Known Implementing Classes:
  AbstractService

public interface Service
extends LifeCycle

Method Summary
`java.lang.String` `getJNDI()`
`java.lang.String` `getName()`
`boolean` `isStarted()`
`void` `setJNDI(java.lang.String registration)`
`void` `setName(java.lang.String name)`
`void` `start()` Start the LifeCycle.
`void` `stop()` Stop the LifeCycle.

Method Detail

### setJNDI

    public void setJNDI(java.lang.String registration)

### getJNDI

    public java.lang.String getJNDI()

### setName

    public void setName(java.lang.String name)

### getName

    public java.lang.String getName()

### start

    public void start()
               throws java.lang.Exception

  Start the LifeCycle.

  Specified by:
    `start` in interface `LifeCycle`
  Throws:
    `java.lang.Exception` - An arbitrary exception may be thrown.

### stop

    public void stop()
              throws java.lang.InterruptedException

  Stop the LifeCycle. The LifeCycle may wait for current activities to complete normally, but it can be interrupted.

  Specified by:
    `stop` in interface `LifeCycle`
  Throws:
    `java.lang.InterruptedException` - Stopping a lifecycle is rarely atomic and may be interrupted by another thread. If this happens InterruptedException is throw and the component will be in an indeterminant state and should probably be discarded.

### isStarted

    public boolean isStarted()

  Specified by:
    `isStarted` in interface `LifeCycle`
  Returns:
    True if the LifeCycle has been started.

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.